DataBrowserResultLoader (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.tools.pulse.tests

## Class DataBrowserResultLoader

- java.lang.Object
- - org.apache.geode.tools.pulse.tests.DataBrowserResultLoader

-     public class DataBrowserResultLoader
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `QUERY_TYPE_FIVE`
    `static java.lang.String` | `QUERY_TYPE_FOUR`
    `static java.lang.String` | `QUERY_TYPE_ONE`
    `static java.lang.String` | `QUERY_TYPE_SEVENE`
    `static java.lang.String` | `QUERY_TYPE_SIX`
    `static java.lang.String` | `QUERY_TYPE_THREE`
    `static java.lang.String` | `QUERY_TYPE_TWO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataBrowserResultLoader()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataBrowserResultLoader` | `getInstance()`
    `java.lang.String` | `load(java.lang.String queryString)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QUERY_TYPE_ONE

          public static final java.lang.String QUERY_TYPE_ONE

      See Also:
        Constant Field Values

    - #### QUERY_TYPE_TWO

          public static final java.lang.String QUERY_TYPE_TWO

      See Also:
        Constant Field Values

    - #### QUERY_TYPE_THREE

          public static final java.lang.String QUERY_TYPE_THREE

      See Also:
        Constant Field Values

    - #### QUERY_TYPE_FOUR

          public static final java.lang.String QUERY_TYPE_FOUR

      See Also:
        Constant Field Values

    - #### QUERY_TYPE_FIVE

          public static final java.lang.String QUERY_TYPE_FIVE

      See Also:
        Constant Field Values

    - #### QUERY_TYPE_SIX

          public static final java.lang.String QUERY_TYPE_SIX

      See Also:
        Constant Field Values

    - #### QUERY_TYPE_SEVENE

          public static final java.lang.String QUERY_TYPE_SEVENE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataBrowserResultLoader

          public DataBrowserResultLoader()

  - ### Method Detail

    - #### getInstance

          public static DataBrowserResultLoader getInstance()

    - #### load

          public java.lang.String load(java.lang.String queryString)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`